<?php
/**
 * @author Adam Englander <adam@launchkey.com>
 * @copyright 2015 LaunchKey, Inc. See project license for usage.
 */

namespace LaunchKey\SDK\Domain;

/**
 * Value object representing a request to de-orbit an authorization request
 *
 * @package LaunchKey\SDK\Domain
 */
class DeOrbitRequest
{
    /**
     * @var string auth_request auth_request value generated by the LaunchKey Engine API of the user session to
     * de-orbit.
     */
    private $authRequestId;

    /**
     * @param $authRequestId auth_request value generated by the LaunchKey Engine API of the user session to de-orbit.
     */
    public function __construct($authRequestId)
    {
        $this->authRequestId = $authRequestId;
    }

    /**
     * Get the auth_request value generated by the LaunchKey Engine API of the user session to de-orbit
     *
     * @return string
     */
    public function getAuthRequestId()
    {
        return $this->authRequestId;
    }
}
